#!/tools/ets2/perl/bin/perl
#
# wrapper for sigmod tool
#
# -po ext                set the extension 
# -pf file1 file2 ...    a list of files to process
# passes all arguments to sigmod
#
$sigmod_args="";
while( @ARGV ) {
  $arg = shift @ARGV;
  if( $arg eq "-po" ) {
    $out = shift @ARGV;
  } elsif( $arg eq "-pf" ) {
    while( @ARGV ) {
      $file =  shift @ARGV;
      $command = "sigmod $sigmod_args $file $out\n";
      print $command;
      system( $command );
    }
  } else {
    $sigmod_args = $sigmod_args . " " . $arg;
  }
}
