del /s test_signals_pc
mkdir test_signals_pc

echo "========================================"
echo "generating test signals"
echo "========================================"
singen -a 10000 -n 16000 -nc 800 -f2 2000 -tri test_signals_pc\sweep_tri.asc
singen -a 10000 -n 16000 -nz 800 -f2 2000      test_signals_pc\sweep_sin.asc

echo "========================================"
echo converting to voc format
echo "========================================"
sigmod test_signals_pc\sweep_tri.asc .voc
sigmod test_signals_pc\sweep_sin.asc .voc


echo "========================================"
echo converting to wav format
echo "========================================"
toWav.pl -a " -r 8000" test_signals_pc\sweep_tri.voc
toWav.pl -a " -r 8000" test_signals_pc\sweep_sin.voc

echo "========================================"
echo back to asc format
echo "========================================"
sigmod test_signals/sweep_tri.wav test_signals_pc\back.asc

