#!/tools/ets2/perl/bin/perl
$upper = 30000;
$lower = - $upper;

$arg = shift @ARGV;
if( $arg eq "-a" ) {
  $clArg = shift @ARGV;
} else {
  unshift( @ARGV, $arg );
}

while( @ARGV ) {
  $file = shift @ARGV;
  open( IN, "sigmod $clArg $file - |" ) || die "could not open input pipe"; 
  while( <IN> ) {
    ($lbl, $dum, $lblText) = split(' ' ,$_, 3); 
    $resTab{$lbl} = $lblText; 
  }
  close( IN );
  
  $mean = $resTab{ mean } * 1.; 
  $min  = $resTab{ min } * 1.; 
  $max  = $resTab{ max } * 1.; 
  print "mean : $mean \n";
  print "min  : $min \n";
  print "max  : $max \n";
  print "u  : $upper,  l : $lower \n";
 
  if( $max > $upper && $min < $lower) {
    $off = 0;
  } elsif ( -$mean + $max > $upper ) {
    print "overflow   ";
    if( $max > $upper ) {
      $off = 0;
    } else {
      $off = $max - $upper;
    }
  } elsif ( -$mean + $min < $lower  ) {
    print "underflow  ";
    if( $min < $lower ) {
      $off = 0;
    } else {
      $off = $min - $lower;
    }
  } else {
    $off = $mean;
  }
  print "Offset : $off \n";
  $dest = shift @ARGV || die "missing destination file name" ;
#
#  $dest = $file;
#  $dest =~ s/\..*$/\.wav/g;
   system( "sigmod $clArg -m $off $file $dest" );
}
